# This is your system's configuration file.
# Use this to configure your system environment (it replaces /etc/nixos/configuration.nix)
{
  inputs,
  lib,
  config,
  pkgs,
  ...
}: {
  networking.firewall = {
    enable = true;
    allowedTCPPorts = [ 25565 ];
    allowedUDPPorts = [ 25565 ];
  };

  environment.systemPackages = with pkgs; [
    pkgs.jdk17
  ];

  users.users = {
    minecraft = {
      isNormalUser = true;
      shell = pkgs.bashInteractive;
      openssh.authorizedKeys.keys = [
      ];
    };
  };
}
